package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信参数配属对象 wx_parameter_setting
 *
 * @author flossom
 * @date 2023-12-13
 */
public class WxParameterSetting extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 小程序appid
     */
    @Excel(name = "小程序appid")
    private String appid;

    /**
     * 小程序密钥
     */
    @Excel(name = "小程序密钥")
    private String appkey;

    /**
     * 商户号
     */
    @Excel(name = "商户号")
    private String merchantId;

    /**
     * 商户号API密钥
     */
    @Excel(name = "商户号API密钥")
    private String merchantApiKey;

    /**
     * 开放key(32位)
     */
    @Excel(name = "开放key(32位)")
    private String openKey;

    /**
     * 开放密钥(64位)
     */
    @Excel(name = "开放密钥(64位)")
    private String openSecret;

    /**
     * 绑定ip，多个ip“；“分割
     */
    @Excel(name = "绑定ip，多个ip“；“分割")
    private String bindingIp;

    /**
     * 数云key
     */
    @Excel(name = "数云key")
    private String syKey;

    /**
     * 数云密钥
     */
    @Excel(name = "数云密钥")
    private String sySecret;

    /**
     * 数云请求地址
     */
    @Excel(name = "数云请求地址")
    private String syUrl;

    /**
     * 数云店铺id
     */
    @Excel(name = "数云店铺id")
    private String syShopId;

    /**
     * 状态（0正常 1停用）
     */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Integer status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setMerchantId(String merchantId) {
        this.merchantId = merchantId;
    }

    public String getMerchantId() {
        return merchantId;
    }

    public void setMerchantApiKey(String merchantApiKey) {
        this.merchantApiKey = merchantApiKey;
    }

    public String getMerchantApiKey() {
        return merchantApiKey;
    }

    public void setOpenKey(String openKey) {
        this.openKey = openKey;
    }

    public String getOpenKey() {
        return openKey;
    }

    public void setOpenSecret(String openSecret) {
        this.openSecret = openSecret;
    }

    public String getOpenSecret() {
        return openSecret;
    }

    public void setBindingIp(String bindingIp) {
        this.bindingIp = bindingIp;
    }

    public String getBindingIp() {
        return bindingIp;
    }

    public void setSyKey(String syKey) {
        this.syKey = syKey;
    }

    public String getSyKey() {
        return syKey;
    }

    public void setSySecret(String sySecret) {
        this.sySecret = sySecret;
    }

    public String getSySecret() {
        return sySecret;
    }

    public void setSyUrl(String syUrl) {
        this.syUrl = syUrl;
    }

    public String getSyUrl() {
        return syUrl;
    }

    public void setSyShopId(String syShopId) {
        this.syShopId = syShopId;
    }

    public String getSyShopId() {
        return syShopId;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("appid", getAppid())
                .append("appkey", getAppkey())
                .append("merchantId", getMerchantId())
                .append("merchantApiKey", getMerchantApiKey())
                .append("openKey", getOpenKey())
                .append("openSecret", getOpenSecret())
                .append("bindingIp", getBindingIp())
                .append("syKey", getSyKey())
                .append("sySecret", getSySecret())
                .append("syUrl", getSyUrl())
                .append("syShopId", getSyShopId())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
